Page MenuHomePhabricator

[mlir][linalg] Improve hoist padding buffer size computation.
ClosedPublic

Authored by gysit on Oct 29 2021, 11:49 AM.

Details

Summary

Adapt the Fourier Motzkin elimination to take into account affine computations happening outside of the cloned loop nest.

Depends On D112713

Diff Detail

Event Timeline

gysit created this revision.Oct 29 2021, 11:49 AM
gysit requested review of this revision.Oct 29 2021, 11:49 AM
gysit updated this revision to Diff 384700.Nov 4 2021, 4:11 AM

Cleanup.

gysit retitled this revision from Wip: [mlir][linalg] Improve hoist padding buffer size computation. to [mlir][linalg] Improve hoist padding buffer size computation..Nov 4 2021, 4:12 AM
nicolasvasilache accepted this revision.Nov 4 2021, 7:00 AM

Very nice!

mlir/lib/Dialect/Linalg/Transforms/HoistPadding.cpp
270

Similar refactoring, comment, checkm re side-effects should be done before landing please.

This revision is now accepted and ready to land.Nov 4 2021, 7:00 AM
gysit updated this revision to Diff 385087.Nov 5 2021, 8:30 AM

Address comments by improving comments and making the index slice computation more concise.

gysit updated this revision to Diff 385409.Nov 8 2021, 12:11 AM

Rebase.

nicolasvasilache accepted this revision.Nov 8 2021, 1:25 AM